org.bouncycastle.asn1.icao

## Class DataGroupHash

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.icao.DataGroupHash

All Implemented Interfaces:
  DEREncodable

    public class DataGroupHash
    extends ASN1Encodable

The DataGroupHash object.

     DataGroupHash  ::=  SEQUENCE {
          dataGroupNumber         DataGroupNumber,
          dataGroupHashValue     OCTET STRING }

     DataGroupNumber ::= INTEGER {
             dataGroup1    (1),
             dataGroup1    (2),
             dataGroup1    (3),
             dataGroup1    (4),
             dataGroup1    (5),
             dataGroup1    (6),
             dataGroup1    (7),
             dataGroup1    (8),
             dataGroup1    (9),
             dataGroup1    (10),
             dataGroup1    (11),
             dataGroup1    (12),
             dataGroup1    (13),
             dataGroup1    (14),
             dataGroup1    (15),
             dataGroup1    (16) }

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`DataGroupHash(ASN1Sequence seq)`
`DataGroupHash(int dataGroupNumber, ASN1OctetString dataGroupHashValue)`

### Method Summary

Methods
`ASN1OctetString` `getDataGroupHashValue()`
`int` `getDataGroupNumber()`
`static DataGroupHash` `getInstance(java.lang.Object obj)`
`DERObject` `toASN1Object()`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataGroupHash

    public DataGroupHash(ASN1Sequence seq)

#### DataGroupHash

    public DataGroupHash(int dataGroupNumber,
                 ASN1OctetString dataGroupHashValue)

### Method Detail

#### getInstance

    public static DataGroupHash getInstance(java.lang.Object obj)

#### getDataGroupNumber

    public int getDataGroupNumber()

#### getDataGroupHashValue

    public ASN1OctetString getDataGroupHashValue()

#### toASN1Object

    public DERObject toASN1Object()

Specified by:
  `toASN1Object` in class `ASN1Encodable`